"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217740>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217880>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012177e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217920>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012179c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217a60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217b00>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217ba0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217c40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217ce0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217d80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217e20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217ec0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501217f60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278040>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012780e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278180>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278220>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012782c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278360>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278400>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012784a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278540>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012785e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278680>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278720>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012787c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278860>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278900>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012789a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278a40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278ae0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278b80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278c20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278cc0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278d60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278e00>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278ea0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278f40>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501278fe0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279080>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279120>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012791c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279260>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279300>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012793a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279440>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012794e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279580>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279620>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012796c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279760>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279800>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012798a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f95012799e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279a80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279b20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279bc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279c60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279d00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279da0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279e40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279ee0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9501279f80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a020>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a0c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a160>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a200>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a2a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a340>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a3e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a480>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a520>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a5c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a660>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a700>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a7a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a840>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a980>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127a8e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127aa20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127aac0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127ab60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f950127ac00>)]
name: str = 'fr_HOCCN'
